vnfd-catalog:
    vnfd:
    -   id: squid-vnf
        name: squid-vnf
        connection-point:
        -   name: mgmtnet
        mgmt-interface:
            cp: mgmt
        kdu:
        -   name: squid-kdu
            juju-bundle: bundle.yaml
            kdu-configuration:
                config-primitive:
                -   name: restart
                    parameter:
                    -   name: application-name
                        data-type: STRING
                        default-value: squid
                -   name: start
                    parameter:
                    -   name: application-name
                        data-type: STRING
                        default-value: squid
                -   name: stop
                    parameter:
                    -   name: application-name
                        data-type: STRING
                        default-value: squid
                -   name: addurl
                    parameter:
                    -   name: application-name
                        data-type: STRING
                        default-value: squid
                    -   name: url
                        data-type: STRING
                        default-value: ""
        k8s-cluster:
            nets:
            -   id: mgmtnet
                external-connection-point-ref: mgmt

